=== debian/changelog ===
lightspark (0.5.5-1+gles2~exp0) experimental; urgency=low

  * Build lightspark against gles2 libraries, upload to experimental.

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Mar 2012 10:02:23 +0100

lightspark (0.5.5-1) unstable; urgency=low

  * New 0.5.5 upstream release
  * Bugfix debian/watch to recognize https downloads.

 -- Didier Raboud <odyx@debian.org>  Tue, 13 Mar 2012 13:59:16 +0100

lightspark (0.5.4.1-1+gles2~exp0) experimental; urgency=low

  * Build lightspark against gles2 libraries, upload to experimental.

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Feb 2012 10:28:36 +0100

lightspark (0.5.4-1+gles2~exp0) experimental; urgency=low

  * Build lightspark against gles2 libraries, upload to experimental.

 -- Didier Raboud <odyx@debian.org>  Tue, 31 Jan 2012 19:27:46 +0100

lightspark (0.5.3-2+gles2~exp0) experimental; urgency=low

  * Build lightspark against gles2 libraries, upload to experimental.

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Jan 2012 20:18:59 +0100

lightspark (0.5.3-1+gles2~exp0) experimental; urgency=low

  * Build lightspark against gles2 libraries, upload to experimental.

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Dec 2011 11:27:18 +0100
