## lightspark 0.6.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #**************************************************************************
 #    Lightspark, a free flash player implementation
 #
-#    Copyright (C) 2010-2011  Alessandro Pignotti <a.pignotti@sssup.it>
+#    Copyright (C) 2010-2012  Alessandro Pignotti <a.pignotti@sssup.it>
 #    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
 #
 #    This program is free software: you can redistribute it and/or modify
@@ -24,9 +24,9 @@
 # Name & Version
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
-SET(MINOR_VERSION "5")
-SET(PATCH_VERSION "5")
-SET(SUBPATCH_VERSION "0")
+SET(MINOR_VERSION "6")
+SET(PATCH_VERSION "0")
+SET(SUBPATCH_VERSION "1")
 
 IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
 	SET(GIT_VERSION "-git")
@@ -198,8 +198,9 @@
 SET(ENABLE_CURL TRUE CACHE BOOL "Enable CURL? (Required for Downloader functionality)")
 SET(ENABLE_GLES2 FALSE CACHE BOOL "Build with OpenGLES 2.0 support instead of OpenGL")
 SET(ENABLE_LIBAVCODEC TRUE CACHE BOOL "Enable libavcodec and dependent functionality?")
-SET(ENABLE_RTMP FALSE CACHE BOOL "Enable librtmp and dependent functionality?")
+SET(ENABLE_RTMP TRUE CACHE BOOL "Enable librtmp and dependent functionality?")
 SET(ENABLE_PROFILING FALSE CACHE BOOL "Enable profiling support? (Causes performance issues)")
+SET(ENABLE_MEMORY_USAGE_PROFILING FALSE CACHE BOOL "Enable profiling of memory usage? (Causes performance issues)")
 SET(PLUGIN_DIRECTORY "${LIBDIR}/mozilla/plugins" CACHE STRING "Directory to install Firefox plugin to")
 
 IF(ENABLE_DEBIAN_ALTERNATIVES OR WIN32)
@@ -228,9 +229,12 @@
 IF(${LLVM_STRING_VERSION} VERSION_EQUAL 2.8)
 	ADD_DEFINITIONS(-DLLVM_28)
 ENDIF(${LLVM_STRING_VERSION} VERSION_EQUAL 2.8)
-IF(${LLVM_STRING_VERSION} VERSION_GREATER 2.9)
-	ADD_DEFINITIONS(-DLLVM_3)
-ENDIF(${LLVM_STRING_VERSION} VERSION_GREATER 2.9)
+IF(${LLVM_STRING_VERSION} VERSION_EQUAL 3.0)
+	ADD_DEFINITIONS(-DLLVM_30)
+ENDIF(${LLVM_STRING_VERSION} VERSION_EQUAL 3.0)
+IF(${LLVM_STRING_VERSION} VERSION_GREATER 3.0)
+	ADD_DEFINITIONS(-DLLVM_31)
+ENDIF(${LLVM_STRING_VERSION} VERSION_GREATER 3.0)
 INCLUDE(FindZLIB REQUIRED)
 INCLUDE(FindFreetype REQUIRED)
 IF(NOT(ENABLE_GLES2))
@@ -239,14 +243,19 @@
 ENDIF(NOT(ENABLE_GLES2))
 INCLUDE(FindPCRE REQUIRED)
 INCLUDE(FindJPEG REQUIRED)
+INCLUDE(FindPNG REQUIRED)
 pkg_check_modules(XMLPP REQUIRED libxml++-2.6>=2.33.1)
+
+IF(XMLPP_FOUND AND NOT(XMLPP_VERSION VERSION_LESS 2.35.1))
+  ADD_DEFINITIONS(-DXMLPP_2_35_1)
+ENDIF(XMLPP_FOUND AND NOT(XMLPP_VERSION VERSION_LESS 2.35.1))
 
 find_package(Boost COMPONENTS filesystem system REQUIRED)
 if(Boost_FOUND)
   INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
 ENDIF(Boost_FOUND) 
 
-pkg_check_modules(CAIRO_LIBS REQUIRED cairo pangocairo)
+pkg_check_modules(CAIRO REQUIRED cairo pangocairo)
 
 IF(UNIX)
   pkg_check_modules(X11 REQUIRED x11)
@@ -278,6 +287,8 @@
   SET(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES})
   CHECK_FUNCTION_EXISTS(avcodec_decode_video2 HAVE_AVCODEC_DECODE_VIDEO2)
   CHECK_FUNCTION_EXISTS(avcodec_decode_audio3 HAVE_AVCODEC_DECODE_AUDIO3)
+  CHECK_FUNCTION_EXISTS(avcodec_decode_audio4 HAVE_AVCODEC_DECODE_AUDIO4)
+  CHECK_FUNCTION_EXISTS(avio_alloc_context HAVE_AVIO_ALLOC_CONTEXT)
   SET(CMAKE_REQUIRED_FLAGS)
   SET(CMAKE_REQUIRED_INCLUDES)
   SET(CMAKE_REQUIRED_LIBRARIES)
@@ -287,6 +298,12 @@
   IF(HAVE_AVCODEC_DECODE_AUDIO3)
     ADD_DEFINITIONS(-DHAVE_AVCODEC_DECODE_AUDIO3)
   ENDIF(HAVE_AVCODEC_DECODE_AUDIO3)
+  IF(HAVE_AVCODEC_DECODE_AUDIO4)
+    ADD_DEFINITIONS(-DHAVE_AVCODEC_DECODE_AUDIO4)
+  ENDIF(HAVE_AVCODEC_DECODE_AUDIO4)
+  IF(HAVE_AVIO_ALLOC_CONTEXT)
+    ADD_DEFINITIONS(-DHAVE_AVIO_ALLOC_CONTEXT)
+  ENDIF(HAVE_AVIO_ALLOC_CONTEXT)
   ADD_DEFINITIONS(-DENABLE_LIBAVCODEC)
 ENDIF(ENABLE_LIBAVCODEC)
 
@@ -297,26 +314,3 @@
 INCLUDE_DIRECTORIES(${GLIBMM_INCLUDE_DIRS})
 pkg_check_modules(GTK REQUIRED gtk+-2.0)
 
-INCLUDE_DIRECTORIES(${LLVM_INCLUDE_DIR})
-INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
-INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
-IF(ENABLE_GLES2)
-	INCLUDE_DIRECTORIES(${GLES2_INCLUDE_DIRS})
-ELSE()
-	INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
-	INCLUDE_DIRECTORIES(${GLEW_INCLUDE_DIR})
-ENDIF(ENABLE_GLES2)
-INCLUDE_DIRECTORIES(${PCRE_INCLUDE_DIR})
-INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
-INCLUDE_DIRECTORIES(${XMLPP_INCLUDE_DIRS})
-INCLUDE_DIRECTORIES(${CAIRO_INCLUDE_DIRS})
-INCLUDE_DIRECTORIES(${GLIB_INCLUDE_DIRS})
-INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIRS})
-
-IF(ENABLE_LIBAVCODEC)
-  INCLUDE_DIRECTORIES(${FFMPEG_INCLUDE_DIRS})
-  SET(OPTIONAL_LIBRARIES ${OPTIONAL_LIBRARIES} ${FFMPEG_LIBRARIES})
-ENDIF(ENABLE_LIBAVCODEC)	
-
-IF(CMAKE_COMPILER_IS_GNUCC)
-  IF(MINGW)
