=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #**************************************************************************
 #    Lightspark, a free flash player implementation
 #
-#    Copyright (C) 2010-2011  Alessandro Pignotti <a.pignotti@sssup.it>
+#    Copyright (C) 2010-2012  Alessandro Pignotti <a.pignotti@sssup.it>
 #    Copyright (C) 2010  Giacomo Spigler <g.spigler@sssup.it>
 #
 #    This program is free software: you can redistribute it and/or modify
@@ -23,11 +23,13 @@
   asobject.cpp
   compat.cpp
   logger.cpp
+  memory_support.cpp
   swf.cpp
   swftypes.cpp
   thread_pool.cpp
   threading.cpp
   timer.cpp
+  tiny_string.cpp
   backends/audio.cpp
   backends/builtindecoder.cpp
   backends/config.cpp
@@ -44,6 +46,7 @@
   backends/rtmputils.cpp
   backends/security.cpp
   backends/urlutils.cpp
+  backends/xml_support.cpp
   parsing/amf3_generator.cpp
   parsing/config.cpp
   parsing/crossdomainpolicy.cpp
@@ -58,7 +61,13 @@
   scripting/abc_opcodes.cpp
   scripting/abctypes.cpp
   scripting/flash/accessibility/flashaccessibility.cpp
+  scripting/flash/desktop/flashdesktop.cpp
+  scripting/flash/display/BitmapContainer.cpp
+  scripting/flash/display/BitmapData.cpp
+  scripting/flash/display/DisplayObject.cpp
+  scripting/flash/display/IBitmapDrawable.cpp
   scripting/flash/display/flashdisplay.cpp
+  scripting/flash/display/TokenContainer.cpp
   scripting/flash/events/flashevents.cpp
   scripting/flash/external/ExternalInterface.cpp
   scripting/flash/filters/flashfilters.cpp
@@ -77,7 +86,11 @@
   scripting/toplevel/Boolean.cpp
   scripting/toplevel/Date.cpp
   scripting/toplevel/Error.cpp
+  scripting/toplevel/Integer.cpp
   scripting/toplevel/Math.cpp
+  scripting/toplevel/Number.cpp
+  scripting/toplevel/RegExp.cpp
+  scripting/toplevel/UInteger.cpp
   scripting/toplevel/Vector.cpp
   scripting/toplevel/XML.cpp
   scripting/toplevel/XMLList.cpp
@@ -120,7 +133,7 @@
 
 TARGET_LINK_LIBRARIES(spark ${CAIRO_LIBRARIES} ${ZLIB_LIBRARIES}
 	${Boost_LIBRARIES} ${LLVM_LIBS_CORE} ${LLVM_LIBS_JIT} ${LLVM_LDFLAGS}
-	${OPTIONAL_LIBRARIES} ${GTK_LIBRARIES} ${FREETYPE_LIBRARIES} ${JPEG_LIBRARIES}
+	${OPTIONAL_LIBRARIES} ${GTK_LIBRARIES} ${FREETYPE_LIBRARIES} ${JPEG_LIBRARIES} ${PNG_LIBRARIES}
 	${PCRE_LIBRARIES} ${GLIBMM_LIBRARIES} ${GMODULE_LIBRARIES}
 	${XMLPP_LIBRARIES} ${CMAKE_DL_LIBS} ${EXTRA_LIBS_LIBRARIES}
 	${X11_LIBRARIES})
@@ -149,7 +162,6 @@
   PACK_EXECUTABLE(lightspark)
   INSTALL(FILES ${PROJECT_SOURCE_DIR}/src/lightspark.frag DESTINATION ${LSDATADIR})
   INSTALL(FILES ${PROJECT_SOURCE_DIR}/src/lightspark.vert DESTINATION ${LSDATADIR})
-  INSTALL(FILES ${PROJECT_SOURCE_DIR}/src/lightspark-blitter.vert DESTINATION ${LSDATADIR})
   INSTALL(TARGETS lightspark RUNTIME DESTINATION ${BINDIR})
   IF(UNIX)
     INSTALL(FILES ${PROJECT_SOURCE_DIR}/docs/man/lightspark.1 DESTINATION share/man/man1)
