=== debian/changelog ===
lightspark (0.6.0.1-2build1) quantal; urgency=low

  * No-change rebuild for libglew1.7 -> libglew1.8 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 08 Sep 2012 18:56:23 +0400

lightspark (0.6.0.1-2) unstable; urgency=low

  * Cherry-pick upstream f1675d6 'Fix handling of resizing'.

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Jun 2012 19:54:28 +0200

lightspark (0.6.0.1-1) unstable; urgency=low

  * New 0.6.0.1 upstream release.

 -- Didier Raboud <odyx@debian.org>  Sun, 10 Jun 2012 15:12:49 +0200

lightspark (0.5.7-2) unstable; urgency=low

  * Drop now-obsolete lintian override.
  * Enable RTMP support. It was supposed to be enabled by default since
    0.5.4 but wasn't. (Closes: #647149)

 -- Didier Raboud <odyx@debian.org>  Mon, 21 May 2012 10:06:50 +0200

lightspark (0.5.7-1) unstable; urgency=low

  * New 0.5.7 upstream release.
  * Bump debhelper Build-Depends to 9.

 -- Didier Raboud <odyx@debian.org>  Wed, 16 May 2012 13:20:28 +0200

lightspark (0.5.6-1) unstable; urgency=low

  * New 0.5.6 upstream release.
    - Build-Depends: add libpng-dev.
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 12 Apr 2012 16:57:45 +0200
