=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~),
+Build-Depends: debhelper (>= 9),
   cmake,
   nasm,
   llvm-3.0-dev,
   libcurl4-gnutls-dev,
   zlib1g-dev,
-  libgles2-mesa-dev,
+  libgl1-mesa-dev,
   libpcre3-dev,
   libavutil-dev,
   libx11-dev,
@@ -22,11 +22,12 @@
   libavcodec-dev,
   libavformat-dev,
   libgtk2.0-dev,
+  libpng-dev,
   libjpeg-dev,
   librtmp-dev,
   libsdl1.2-dev,
   libxml++2.6-dev (>= 2.33.1),
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://lightspark.sf.net
 Vcs-Git: git://git.debian.org/pkg-flash/lightspark.git
 Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git
