## lightspark 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,9 +24,9 @@
 # Name & Version
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
-SET(MINOR_VERSION "6")
+SET(MINOR_VERSION "7")
 SET(PATCH_VERSION "0")
-SET(SUBPATCH_VERSION "1")
+SET(SUBPATCH_VERSION "0")
 
 IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
 	SET(GIT_VERSION "-git")
@@ -246,6 +246,10 @@
 INCLUDE(FindPNG REQUIRED)
 pkg_check_modules(XMLPP REQUIRED libxml++-2.6>=2.33.1)
 
+pkg_check_modules(LZMA REQUIRED liblzma)
+INCLUDE_DIRECTORIES(${LZMA_INCLUDE_DIRS})
+SET(OPTIONAL_LIBRARIES ${OPTIONAL_LIBRARIES} ${LZMA_LIBRARIES})
+
 IF(XMLPP_FOUND AND NOT(XMLPP_VERSION VERSION_LESS 2.35.1))
   ADD_DEFINITIONS(-DXMLPP_2_35_1)
 ENDIF(XMLPP_FOUND AND NOT(XMLPP_VERSION VERSION_LESS 2.35.1))
@@ -253,6 +257,9 @@
 find_package(Boost COMPONENTS filesystem system REQUIRED)
 if(Boost_FOUND)
   INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
+  #Without BOOST_MULTI_INDEX_DISABLE_SERIALIZATION, it will indirectly include
+  #windows.h and pollute our namespace
+  ADD_DEFINITIONS(-DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION)
 ENDIF(Boost_FOUND) 
 
 pkg_check_modules(CAIRO REQUIRED cairo pangocairo)
@@ -289,6 +296,11 @@
   CHECK_FUNCTION_EXISTS(avcodec_decode_audio3 HAVE_AVCODEC_DECODE_AUDIO3)
   CHECK_FUNCTION_EXISTS(avcodec_decode_audio4 HAVE_AVCODEC_DECODE_AUDIO4)
   CHECK_FUNCTION_EXISTS(avio_alloc_context HAVE_AVIO_ALLOC_CONTEXT)
+  CHECK_FUNCTION_EXISTS(avcodec_alloc_context3 HAVE_AVCODEC_ALLOC_CONTEXT3)
+  CHECK_FUNCTION_EXISTS(avcodec_open2 HAVE_AVCODEC_OPEN2)
+  CHECK_FUNCTION_EXISTS(avformat_close_input HAVE_AVFORMAT_CLOSE_INPUT)
+  CHECK_FUNCTION_EXISTS(avformat_find_stream_info HAVE_AVFORMAT_FIND_STREAM_INFO)
+  
   SET(CMAKE_REQUIRED_FLAGS)
   SET(CMAKE_REQUIRED_INCLUDES)
   SET(CMAKE_REQUIRED_LIBRARIES)
@@ -297,20 +309,3 @@
   ENDIF(HAVE_AVCODEC_DECODE_VIDEO2)
   IF(HAVE_AVCODEC_DECODE_AUDIO3)
     ADD_DEFINITIONS(-DHAVE_AVCODEC_DECODE_AUDIO3)
-  ENDIF(HAVE_AVCODEC_DECODE_AUDIO3)
-  IF(HAVE_AVCODEC_DECODE_AUDIO4)
-    ADD_DEFINITIONS(-DHAVE_AVCODEC_DECODE_AUDIO4)
-  ENDIF(HAVE_AVCODEC_DECODE_AUDIO4)
-  IF(HAVE_AVIO_ALLOC_CONTEXT)
-    ADD_DEFINITIONS(-DHAVE_AVIO_ALLOC_CONTEXT)
-  ENDIF(HAVE_AVIO_ALLOC_CONTEXT)
-  ADD_DEFINITIONS(-DENABLE_LIBAVCODEC)
-ENDIF(ENABLE_LIBAVCODEC)
-
-pkg_check_modules(GLIB REQUIRED glib-2.0)
-pkg_check_modules(GTHREAD REQUIRED gthread-2.0)
-pkg_check_modules(GMODULE REQUIRED gmodule-2.0)
-pkg_check_modules(GLIBMM REQUIRED glibmm-2.4)
-INCLUDE_DIRECTORIES(${GLIBMM_INCLUDE_DIRS})
-pkg_check_modules(GTK REQUIRED gtk+-2.0)
-
