=== debian/changelog ===
lightspark (0.7.0-1build1) raring; urgency=low

  * Rebuild for the libglew1.9 -> libglew1.8 un-transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 02 Dec 2012 03:47:10 -0700

lightspark (0.7.0-1) experimental; urgency=low

  * New 0.7.0 upstream version.
    - Drop patches, all backported from upstream.
    - Add liblzma-dev as Build-Depend.
    - Bump library version in common.shlibs.

  * Make lightspark-common depend on fonts-liberation instead of ttf-
    liberation. (Closes: #692243)

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Nov 2012 22:44:59 +0100
