=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
   librtmp-dev,
   libsdl1.2-dev,
   libxml++2.6-dev (>= 2.33.1),
+  liblzma-dev,
 Standards-Version: 3.9.3
 Homepage: http://lightspark.sf.net
 Vcs-Git: git://git.debian.org/pkg-flash/lightspark.git
@@ -74,7 +75,7 @@
 
 Package: lightspark-common
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-liberation
+Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-liberation
 Recommends: pulseaudio
 Description: High-performance SWF player - common data
  Lightspark is a free Flash player for Linux which aims for high-performance
