## lightspark 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 PROJECT(LIGHTSPARK)
 SET(MAJOR_VERSION "0")
 SET(MINOR_VERSION "7")
-SET(PATCH_VERSION "0")
+SET(PATCH_VERSION "1")
 SET(SUBPATCH_VERSION "0")
 
 IF(EXISTS "${CMAKE_SOURCE_DIR}/.git/")
