=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lightspark
 Section: utils
 Priority: optional
-Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Flash Maintainers <pkg-flash-devel@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9),
   cmake,
@@ -28,8 +29,8 @@
   libsdl1.2-dev,
   libxml++2.6-dev (>= 2.33.1),
   liblzma-dev,
-Standards-Version: 3.9.3
-Homepage: http://lightspark.sf.net
+Standards-Version: 3.9.4
+Homepage: http://lightspark.github.com/
 Vcs-Git: git://git.debian.org/pkg-flash/lightspark.git
 Vcs-Browser: http://git.debian.org/?p=pkg-flash/lightspark.git
